Subject: bug#6390: Should not regexp-quote quote newline?

From: Lennart Borgman <[email-masked]>
Date: Thu, 10 Jun 2010 18:46:26 +0200

On Thu, Jun 10, 2010 at 6:22 PM, Andreas Schwab <[email-masked]> wrote:
>>>>> Lennart Borgman <[email-masked]> writes:
>>>>>
>>>>>> Would it not be more practical if the result was "a\nb"?
>>>>>
>>>>> That's exactly what you get.
>>>>
>>>> ;-)
>>>>
>>>> "a\\nb"
>>>
>>> This is a totally different regexp.
>>
>> ;-)
>>
>> Depends on how u "read" it.
>
> If you want a print representation then use print.

Thanks, but that does not apply to the situation I am talking about.

But since misunderstandings are great here I might clarify the
situation: I am thinking about situations where you want to edit a
regexp. One such situation is for example editing the isearch regexp.